CRYSTAL-TOOL-DEPENDENCIES(1)

NAME
crystal-tool-dependencies - Show tree of required source files.

SYNOPSIS

crystal tool dependencies [options] [programfile]

OPTIONS

-D FLAG, --define=FLAG
    Define a compile-time flag. This is useful to conditionally define types, methods, or commands based on flags available at compile time. The default flags are from the target triple given with --target-triple or the hosts default, if none is given.

-f FORMAT, --format=FORMAT
    Output format 'tree' (default), 'flat', 'dot', or 'mermaid'.

-i PATH, --include=PATH
    Include path in output.

-e PATH, --exclude=PATH
    Exclude path in output.

--error-trace
    Show full error trace.

--prelude
    Specify prelude to use. The default one initializes the garbage collector. You can also use --prelude=empty to use no preludes. This can be useful for checking code generation for a specific source code file.

--verbose
    Show skipped and heads of filtered paths